/*
    Copyright (C) 1997, 1998, 1999, 2000 by Alex Pfaffe
	(Digital Dawn Graphics Inc)
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "render/ddguiobj.h"
// ----------------------------------------------------------------------
ddgUIObj::ddgUIObj(unsigned short x, unsigned short y)
	: _x(x), _y(y)
{
}

// ----------------------------------------------------------------------
unsigned int ddgUIGroup::_width = 100;
unsigned int ddgUIGroup::_height = 100;
void ddgUIGroup::area( unsigned int w, unsigned int h)
{
	_width = w;
	_height = h;
}

bool ddgUIGroup::draw( ddgContext *ctx )
{
    glDisable(GL_LIGHTING);
    glDisable(GL_TEXTURE_2D);
    glDisable(GL_FOG);
    glShadeModel(GL_FLAT);
 
    glMatrixMode(GL_PROJECTION);
    glPushMatrix();
    glLoadIdentity();
    glOrtho(-0.5,_width-0.5,-0.5,_height-0.5,-1.0,1.0);

    glMatrixMode(GL_MODELVIEW);
	glPushMatrix();
    glLoadIdentity();
	bool retval = super::draw( ctx );
	glPopMatrix();
    glMatrixMode(GL_PROJECTION);
    glPopMatrix();
    glMatrixMode(GL_MODELVIEW);
	return retval;
}

