/*
    Copyright (C) 1997, 1998, 1999, 2000 by Alex Pfaffe
	(Digital Dawn Graphics Inc)
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _ddgTextureSynthesizer_Class_
#define _ddgTextureSynthesizer_Class_
// ---------------------------------------------------------------------
//
// DDG definitions.
//

class ddgImage;
class ddgHeightMap;
class ddgVector2;
class ddgStr;
class WEXP ddgTextureSynthesizer
{
public:
	/// Generate a texture based on this height map and the specified parameter file.
	static bool synthesizeSurfaceTexture(ddgHeightMap * hfl, ddgImage * texture, ddgVector2 vSize, ddgImage * ecoMap = NULL, ddgStr *paramFile = NULL);
};
#endif
